---
title: "Returns a single use URL is used to access a lab instance"
slug: "returns-a-single-use-url-is-used-to-access-a-lab-instance-1"
updated: 2025-08-07T14:39:28Z
published: 2025-08-07T14:41:42Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns a single use URL is used to access a lab instance

Get/LabAccessUrl

The **LabAccessUrl** command returns a single use URL to access a lab instance.

SecurityAPI Key: api_keyHeader parameter nameapi_key

All methods require an API key, which must be obtained from Skillable. This key is used by Skillable to validate your account. The key can be passed as an HTTP request header with the header name "api_key".

Query parameterslabInstanceIdinteger (int64) Required

The unique identifier of the lab instance.

roleIdinteger (int32) 

Allows you to specify the role(s) to assign to the user. You may pass multiple instances of this parameter to specify multiple roles. Roles are used for specialized integration purposes and are not needed in typical integration scenarios. Role IDs will be provided by Skillable when appropriate.

Responses200

OK Response.

<select class='api-response-data' aria-label='Media type'><option value='baf4f160-3bb2-48fc-9185-5f8ae4d7d7a3'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='ae4d8b54-d0f7-4c10-a6dc-3e9e9bbec867'>Example of successfully retrieving the URL for an activ...</option>
</select>Example of successfully retrieving the URL for an active Lab instance.

```json
{
  "Url": "https://labondemand.com/access/ab1c2345-6d7b-890e-f1gh-234ij5kl6m7n",
  "Error": null,
  "Status": 1
}
```

object  Urlstring    

The single use URL to access the lab instance.

Errorstring   | null  

In the event of an error, this will contain a detailed error message.

Statusinteger  (int32)    

Indicates the status of the API request. 0 = Error 1 = Success
